Bug 491233 - Unable to build TPS
Unable to build TPS
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-19 19:04 EDT by Chandrasekar Kannan
Modified: 2015-01-04 18:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add nss-pkcs11-devel dependency (1.36 KB, text/plain)
2009-03-19 19:48 EDT, Christina Fu
no flags Details
add nss-pkcs11-devel dependency (1.36 KB, text/plain)
2009-03-19 19:49 EDT, Christina Fu
no flags Details
add nss-pkcs11-devel dependency (1.36 KB, text/plain)
2009-03-19 19:51 EDT, Christina Fu
no flags Details
alternative fix (831 bytes, text/plain)
2009-03-19 20:54 EDT, Christina Fu
no flags Details

  None (edit)
Description Chandrasekar Kannan 2009-03-19 19:04:34 EDT
I found the error in the build.log:

      [exec] /usr/include/features.h:154:1: warning: this is the  
location of the previous definition
      [exec] ../src/engine/RA.cpp:42:22: error: nssbaset.h: No such  
file or directory
      [exec] ../src/engine/RA.cpp:79: error: expected constructor,  
destructor, or type conversion before '*' token
      [exec] ../src/engine/RA.cpp: In static member function 'static  
void RA::AuditThis(RA_Log_Level, const char*, const char*,  
__va_list_tag*)':
      [exec] ../src/engine/RA.cpp:1626: error: 'NSSUTF8' was not  
declared in this scope
      [exec] ../src/engine/RA.cpp:1626: error: 'audit_msg' was not  
declared in this scope
      [exec] ../src/engine/RA.cpp:1637: error: 'sig_b64' was not  
declared in this scope
      [exec] ../src/engine/RA.cpp:1638: error: 'out_sig_b64' was not  
declared in this scope
      [exec] make[1]: *** [src/engine/libtps_la-RA.lo] Error 1
      [exec] make[1]: Leaving directory `/home/svrbld/20090319-012702/ 
release/pki/base/tps/dist/rpmpkg/BUILD/pki-tps-8.0.0/blds'
      [exec] make: *** [all] Error 2
      [exec] error: Bad exit status from /var/tmp/rpm-tmp.84973 (%build)
      [exec]     Bad exit status from /var/tmp/rpm-tmp.84973 (%build)

--Kevin
On Mar 19, 2009, at 3:17 PM, Kevin Wright wrote:


> On Mar 19, 2009, at 3:04 PM, Chandrasekar Kannan wrote:
>
>>
>> Kevin - Can you look at $SUBJECT ?
>>
>> Thanks.
>>
>> *******************
>> --Chandra
>>
>>
>>
>
Comment 1 Christina Fu 2009-03-19 19:48:59 EDT
Created attachment 335944 [details]
add nss-pkcs11-devel dependency
Comment 2 Christina Fu 2009-03-19 19:49:59 EDT
Created attachment 335945 [details]
add nss-pkcs11-devel dependency
Comment 3 Christina Fu 2009-03-19 19:51:02 EDT
Created attachment 335946 [details]
add nss-pkcs11-devel dependency


Matt please review the three spec files.  thanks.
Comment 4 Christina Fu 2009-03-19 20:54:50 EDT
Created attachment 335950 [details]
alternative fix

So, according to Matt, pkcs11 is not available on Solaris, and according to Relyea, nssbaset.h should not be included.

Therefore, I do a typedef in TPS to resolve the build dependency issue.
Comment 5 Christina Fu 2009-03-19 20:57:32 EDT
[cfu@localhost src]$ svn commit
Sending        src/engine/RA.cpp
Sending        src/include/engine/RA.h
Transmitting file data ..
Committed revision 311.
Comment 7 Christina Fu 2009-07-05 11:53:02 EDT
it builds.  verified.

Note You need to log in before you can comment on or make changes to this bug.